package com.datacloudsec.scan.cache;

import com.datacloudsec.scan.common.Constant;
import com.datacloudsec.utils.JsonUtil;
import java.io.File;
import java.util.HashMap;
import java.util.Map;

public class NetWork {

   private Map config;
   private static long lastMdfTime;
   public static File confFile = new File(Constant.WORK_DIR, "conf/network.json");
   private static NetWork instance;


   public static synchronized NetWork getInstance() throws Exception {
      if(instance == null) {
         instance = new NetWork();
      }

      if(confFile != null && confFile.exists() && confFile.lastModified() != lastMdfTime) {
         if(confFile.length() > 0L) {
            instance.config = (Map)JsonUtil.MAPPER_ESCAPE_HTML.readValue(confFile, Map.class);
         } else {
            instance.config = new HashMap();
         }

         lastMdfTime = confFile.lastModified();
      }

      return instance;
   }

   public static void main(String[] args) throws Exception {
      System.out.println(getInstance().getConfig());
   }

   public Map getConfig() {
      return this.config;
   }
}
